︠38e19ba5-683d-40c2-ad77-1105f17df8dai︠
%md
# **KNOT THEORY 101**
## Cocalc + Sage Worksheet
## MAKO 2018
︡2f951503-3fa1-46e6-b849-f1dbacb0d192︡{"done":true,"md":"# **KNOT THEORY 101**\n## Cocalc + Sage Worksheet\n## MAKO 2018"}
︠198e2eaf-ae3b-420f-9e05-f4d644eaa928s︠
u, v, t = var('u, v, t');

def mknot(bigr,littler,twists):
    return parametric_plot3d(
            ((bigr + littler*cos(littler*u))*cos(u/twists),
             (bigr + littler*cos(littler*u))*sin(u/twists),
             littler*sin(littler*u)),
            (u, 0, twists*4*pi),
            opacity = 1,
            thickness = 10,
            color='black',
            plot_points = 300,
            frame = false);

def tknot(bigr,littler):
    return parametric_plot3d(
        ((bigr + cos(littler*t))*cos(bigr*t),
         (bigr + cos(littler*t))*sin(bigr*t),
         sin(littler*t)),
        (t, 0, 2*pi),
        thickness = 10,
        frame = false,
        plot_points = 300,
#        adaptive = True,
        color='black'
        );

def tmoebius(bigr,littler,ccolor,oopacity):
    return parametric_plot3d(
        ((bigr + littler*cos(v))*cos(u),
         (bigr + littler*cos(v))*sin(u),
         littler*sin(v)),
        (u, 0, 2*pi),
        (v, 0, 2*pi),
        color=ccolor,
        opacity = oopacity,
        frame = false);

def moebius(bigr,littler,twists,ccolor,oopacity):
    return parametric_plot3d(
            ((bigr + littler*v*cos(littler*u))*cos(u/twists),
             (bigr + littler*v*cos(littler*u))*sin(u/twists),
             littler*v*sin(littler*u)),
            (u, 0, twists*2*pi),
            (v, -1, 1),
            color = ccolor,
            opacity = oopacity,
        plot_points = 50,
        frame = false);

%md
## Trefoil
︡46d69643-0422-43b8-b373-6585f959b9f0︡{"md":"## Trefoil"}︡{"done":true}
︠1a02cc0a-4065-43c9-b2a3-0741bd39a643i︠
%md
A continuous function whose range is the trefoil knot:

$f \colon [0, 2\pi] \to \mathbb{R}^3$ given by
$f(t) = ((2 + \cos(3t))\cos(2t), \ \ (2 + \cos(3t))\sin(2t), \ \ \sin(3t))$
︡6ae072a7-aab6-47b4-b357-d25e22513344︡{"done":true,"md":"A continuous function whose range is the trefoil knot:\n\n$f \\colon [0, 2\\pi] \\to \\mathbb{R}^3$ given by\n$f(t) = ((2 + \\cos(3t))\\cos(2t), \\ \\ (2 + \\cos(3t))\\sin(2t), \\ \\ \\sin(3t))$"}
︠f017d3d5-08ac-4c81-b898-ad3f64c37673si︠
tknot(2,3)
︡a27bdfaa-2fe6-4c0c-975f-d55a81e1d7b6︡{"file":{"filename":"ccf83445-9d50-43b9-8392-4ba205745945.sage3d","uuid":"ccf83445-9d50-43b9-8392-4ba205745945"}}︡{"done":true}︡
︠3b611f22-842a-446c-b047-18b05e256948i︠
%md
## Trefoil, again
︡d080747d-18c5-498e-a1e6-9c778a51b5e7︡{"done":true,"md":"## Trefoil, again"}
︠018fd7fc-acf8-440f-b153-964ef7cd1c97i︠
%md
$f \colon [0, 2\pi] \to \mathbb{R}^3$ given by $f(t) = \left((3 + \cos(2t))\cos(3t), \ (3 + \cos(2t))\sin(3t), \ \sin(2t)\right)$
︡53713fe1-6d1f-4a13-8e89-0be86e876d03︡{"done":true,"md":"$f \\colon [0, 2\\pi] \\to \\mathbb{R}^3$ given by $f(t) = \\left((3 + \\cos(2t))\\cos(3t), \\ (3 + \\cos(2t))\\sin(3t), \\ \\sin(2t)\\right)$"}
︠6292664b-6e03-477f-9761-5afa8b07c394si︠
tknot(3,2)
︡cb707152-dcf5-4e45-bfd4-e1d312c5ec80︡{"file":{"filename":"d471297d-cb02-4964-8ca8-f51d0f69e90d.sage3d","uuid":"d471297d-cb02-4964-8ca8-f51d0f69e90d"}}︡{"done":true}︡
︠34d20db5-7c57-4c8f-a684-3b6a4f43678bi︠
%md
## Figure-Eight Knot
︡7c8c2730-0e81-4c03-9bc5-00c7521e81fe︡{"done":true,"md":"## Figure-Eight Knot"}
︠c3399b89-6e9f-4dc5-8119-68bbcae85855s︠
def f(t): return ((2 + 1*cos(2*t))*cos(3*t), (2 + 1*cos(2*t))*sin(3*t), 1*sin(4*t));
show(
    parametric_plot3d(
        f(t),
        (0, 2*pi),
        frame = false,
        plot_points = 300,
        color='black',
        thickness = 6
        ))
︡583bedd5-56e0-4a45-8969-48765f87d74c︡{"file":{"filename":"60ad1cb7-9274-459b-911c-9f834b42bdd6.sage3d","uuid":"60ad1cb7-9274-459b-911c-9f834b42bdd6"}}︡{"done":true}︡
︠74edf020-f2e7-442a-a781-e1c400e615c0i︠
%md
## Torus Knot T(2,3) =  Trefoil
#### 2 times around long way, 3 times around short way.
#### 2 triangles.
︡913c4ba5-aa9d-4167-825c-4f0d032722fd︡{"done":true,"md":"## Torus Knot T(2,3) =  Trefoil\n#### 2 times around long way, 3 times around short way.\n#### 2 triangles."}
︠4ed06794-9967-4cee-903f-209d9502b327s︠
tmoebius(2,1,'red',.5) + tknot(2,3)
︡e6c9bb9d-5dac-4952-bea5-6f846130323a︡{"file":{"filename":"bd78821c-0575-413b-9244-fa57b527724c.sage3d","uuid":"bd78821c-0575-413b-9244-fa57b527724c"}}︡{"done":true}
︠bcbed6c6-f192-4d2e-9a89-759b9d083fc7i︠
%md
## Torus Knot T(3,2) =  Trefoil
#### 3 times around long way, 2 times around short way.
#### T(3, 2) = T(2, 3).
#### 3 footballs
︡e7f72971-27dd-41fd-a4cb-d19854425b65︡{"done":true,"md":"## Torus Knot T(3,2) =  Trefoil\n#### 3 times around long way, 2 times around short way.\n#### T(3, 2) = T(2, 3).\n#### 3 footballs"}
︠4dfd5dbb-760d-4483-8695-607d4c570357s︠
tmoebius(3,1,'red',.5) + tknot(3,2)
︡48cae87c-592b-4944-80dc-a6a32c7b863b︡{"file":{"filename":"ee98d8ac-bbf2-42af-9da0-420b41a01649.sage3d","uuid":"ee98d8ac-bbf2-42af-9da0-420b41a01649"}}︡{"done":true}
︠2a4d8c7d-a6ea-429a-b7d4-79f9151dd7b5i︠
%md
## Torus Knot T(3,4)
#### 3 times around long way, 4 times around short way.
#### Knot 8<sub>19</sub>, the first nonalternating prime knot.
#### 3 squares.
︡e9b155b2-12d5-4191-a40e-67d2dde8d50c︡{"done":true,"md":"## Torus Knot T(3,4)\n#### 3 times around long way, 4 times around short way.\n#### Knot 8<sub>19</sub>, the first nonalternating prime knot.\n#### 3 squares."}
︠506c74cc-7715-4027-9f6d-58301e20fc8csi︠
tmoebius(3,1,'red',.5) + tknot(3,4)
︡c11d0823-1b43-497d-b4ae-5f67e7492e7d︡{"file":{"filename":"a66fa1f5-f48d-46eb-9112-d301744bb071.sage3d","uuid":"a66fa1f5-f48d-46eb-9112-d301744bb071"}}︡{"done":true}︡
︠a2e7c8f2-6352-4719-b38a-3aba871e79f9i︠
%md
## Torus Knot T(4,3)
#### 3 times around long way, 4 times around short way.
#### Same as T(3,4)
#### 4 triangles.
︡83512c3b-5c7a-4ba3-ba05-aaac4832fef6︡{"done":true,"md":"## Torus Knot T(4,3)\n#### 3 times around long way, 4 times around short way.\n#### Same as T(3,4)\n#### 4 triangles."}
︠7973533c-ffdc-45b4-b27b-2025ad86b608s︠
tmoebius(2,1,'red',.5) + (lambda bigr, littler: parametric_plot3d(
        ((bigr + cos(littler*t))*cos(bigr*t),
         (bigr + cos(littler*t))*sin(bigr*t),
         sin(littler*t)),
        (t, 0, 4*pi),
        frame = false,
        plot_points = 300,
#        adaptive = True,
        color='black',
        thickness = 4
        ))(2,1.5)
︡0aecdce8-758d-4da6-aaf8-f37eeeb1ef6e︡{"file":{"filename":"7767c93a-51ea-42b0-bef6-7bf15968ff05.sage3d","uuid":"7767c93a-51ea-42b0-bef6-7bf15968ff05"}}︡{"done":true}
︠2a2c2424-2fff-46a5-ad94-a703bab59ed7i︠
%md
## T(11,12), crossing number 120
︡3589d77b-a010-4af2-a8a7-b281cfa25563︡{"done":true,"md":"## T(11,12), crossing number 120"}
︠b7ea4d70-e41e-4b5b-98fc-5cd8fa0dafcbs︠
(lambda bigr, littler: parametric_plot3d(
        ((bigr + cos(littler*t))*cos(bigr*t),
         (bigr + cos(littler*t))*sin(bigr*t),
         sin(littler*t)),
        (t, 0, 10*pi),
        frame = false,
        plot_points = 300,
        color='black',
        thickness = 4
        )
+    parametric_plot3d(
        ((bigr + cos(v))*cos(u),
         (bigr + cos(v))*sin(u),
         sin(v)),
        (u, 0, 2*pi),
        (v, 0, 2*pi),
        color='red',
        opacity = 0.0,
        frame = false))(2.2,2.4)
︡fc3ba13c-5f5d-44eb-b08b-5009e253ff87︡{"file":{"filename":"b2d95479-2eb8-4dfd-8caa-a0c17322d82f.sage3d","uuid":"b2d95479-2eb8-4dfd-8caa-a0c17322d82f"}}︡{"done":true}
︠f0c53ea0-b914-4c30-bc5a-35df986c79abi︠
%md
## 1-Twist Moebius Strip
︡597bb0a7-7640-412e-bae2-0d5d496a1a55︡{"done":true,"md":"## 1-Twist Moebius Strip"}
︠9df8f6f9-b085-4e70-8511-65ab61740f98s︠
moebius(2,.5,1,'blue',.5)
︡ee7ed708-5fa9-40a0-a7bf-4c6d6f2fae5a︡{"file":{"filename":"b936f3d3-c3df-4724-a156-3b3ba4de3f92.sage3d","uuid":"b936f3d3-c3df-4724-a156-3b3ba4de3f92"}}︡{"done":true}︡
︠3ba862ce-8b57-4f88-b7c0-3b57376bcf8fi︠
%md
## 2-Twist Moebius Strip
︡ce0b99c0-b63f-4bf0-90d4-1d68f3475b88︡{"done":true,"md":"## 2-Twist Moebius Strip"}
︠a928d82e-dc7d-445d-8d51-8828ccb13da5s︠
moebius(2,.5,2,'blue',.5)
︡2621277b-1eba-4952-8745-d7aedb5118e1︡{"file":{"filename":"89b06c27-ae77-48f9-84d7-303e3f9a3ec0.sage3d","uuid":"89b06c27-ae77-48f9-84d7-303e3f9a3ec0"}}︡{"done":true}︡
︠2649fd12-f469-4f8a-b371-967142429e1ci︠
%md
## 3-Twist Moebius Strip
︡e6171a04-0a62-4094-885c-0516dc787ee9︡{"done":true,"md":"## 3-Twist Moebius Strip"}
︠56c67e89-44a0-4235-9fcc-1201a997cd17si︠
moebius(3,.5,3,'blue',.5)
︡e0e1aafb-5bd5-4ab2-b280-c92ea203b7e2︡{"file":{"filename":"c1c6d4a9-af26-4066-b895-de4f51505b5a.sage3d","uuid":"c1c6d4a9-af26-4066-b895-de4f51505b5a"}}︡{"done":true}︡
︠57ba046e-2b38-4c87-9679-ab02e33705e2i︠
%md
## Torus Knot T(2,3) again, with Moebius Strip
︡50bbf38b-59eb-40ff-9e2b-a2bb534d7eca︡{"done":true,"md":"## Torus Knot T(2,3) again, with Moebius Strip"}
︠ce0440de-e558-4fd6-a8a8-f9b46b23f69bsio︠
moebius(1,.5,3,'red',.8) + mknot(1,.5,3)
︡fda5fb65-ef51-4122-935e-d3ffbf46c9ab︡{"file":{"filename":"2dca25df-0c38-4a9d-8215-f85078ac2d1e.sage3d","uuid":"2dca25df-0c38-4a9d-8215-f85078ac2d1e"}}︡{"done":true}︡
︠e8338535-f1c3-45b6-85d4-328e3b5afd97i︠
%md
## Same, with a torus
︡b1994321-55b8-4482-bdf6-cb7d631132d3︡{"done":true,"md":"## Same, with a torus"}
︠2d33f7cb-8991-47a7-8498-dad36d4cf244s︠
moebius(1,.5,3,'red',.8) + mknot(1,.5,3) + tmoebius(1,.5,'grey',.3)
︡e89e2437-9e18-41cb-8cea-417115d0f0b1︡{"file":{"filename":"3145c212-9b1c-44f1-89b1-85561ee869c8.sage3d","uuid":"3145c212-9b1c-44f1-89b1-85561ee869c8"}}︡{"done":true}
︠cd8dd5c3-ad10-4429-b507-d89c6931d7e8i︠
%md
## Torus Knot T(2,5) on a 5-Twist Moebius Strip
︡5940b6a4-e1e6-4cc7-961f-b5147f205b3a︡{"done":true,"md":"## Torus Knot T(2,5) on a 5-Twist Moebius Strip"}
︠4d9dfa38-6619-4d71-82d7-074bf7f96899si︠
moebius(1,.5,5,'red',.8) + mknot(1,.5,5) + tmoebius(1,.5,'grey',0)
︡6e8f78ab-4078-4cd0-b233-b5b5873043e8︡{"file":{"filename":"be7a6176-cc97-4e53-b1c8-a2f93e800744.sage3d","uuid":"be7a6176-cc97-4e53-b1c8-a2f93e800744"}}︡{"done":true}︡
︠3e511800-7a98-495a-bb6d-2b43e0a73389i︠
%md
## Torus Knot T(2,11) with an 11-Twist Moebius Strip
︡00aa4ca5-057c-4bf0-b078-6ff86200dd72︡{"done":true,"md":"## Torus Knot T(2,11) with an 11-Twist Moebius Strip"}
︠b0ff0964-dd8e-435e-ba5b-b2e8cfcb88d0s︠
moebius(1,.5,11,'red',.8) + mknot(1,.5,11)
︡4597088c-0cb8-40b7-8df2-fb2f38ff4c35︡{"file":{"filename":"963e97b6-bbfc-4a29-a81c-93cc33dfd484.sage3d","uuid":"963e97b6-bbfc-4a29-a81c-93cc33dfd484"}}︡{"done":true}︡
︠a1c3ddcb-5450-4629-9cb0-4cd120c330b8io︠
︡5e217aea-d8ba-47cf-a1f8-ff33a70e5ae2︡
︠0e9a7ed0-8b93-4390-8d88-801de59a8884i︠









